package math.games;

import math.utils.ArrayUtil;
import math.utils.Util;

public class Game04 {
    public static void main(String[] args) {
        double[] arr = {3, 6, 7, 2, 5, 5, 4, 5, 8, 6};
        GameMatrix gm = new GameMatrix(arr, 5);
        Cell maximin = gm.maximin();
        Util.print("macierz gry: ");
        ArrayUtil.print(arr);
        Util.print("maximin: " + maximin);
        Cell minimax = gm.minimax();
        Util.print("minimax: " + minimax);
        Util.print("ma siodło: " + gm.hasSaddle());
        Util.print("siodło: " + gm.getSaddle());
        boolean colDom = gm.isColDominating(2, 1);
        Util.print("czy kolumna 2 dominuje nad kol. 1: " + colDom);
    }
}
